Ticket #42923

civ1: Remove DoesntOccupyTile from all unit classes

Open Date: 2021-09-26 03:34 Last Update: 2021-10-21 13:16

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

nef says http://forum.freeciv.org/f/viewtopic.php?f=15&t=597&start=37 that in civ1 units *always* occupy the tile. In our civ1 ruleset air and missile units do not. Change the ruleset to comply.

Ticket History (3/5 Histories)

2021-09-26 03:34 Updated by: cazfi
  • New Ticket "civ1: Remove DoesntOccupyTile from all unit classes" created
2021-10-14 05:42 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6
2021-10-21 13:16 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login